cordova.define("com.kingyee.kymh.plugin.TyRtc.TyRtc", function(require, exports, module) {


    var cordova = require('cordova'),
    exec = require('cordova/exec'),
    channel=require('cordova/channel');


    // 视频消息回调 返回视频成功\失败\接听\拒绝 时长
     channel.onCordovaReady.subscribe(function(){
        cordova.exec(receiveNotification,null,'TyRtc','receiveVideoMessage',[""]);
        function receiveNotification(data){
               cordova.fireDocumentEvent('TyReceiveVideoMessage',data);
        }
     });


    var TyRtc = function(){};
    TyRtc.prototype.login = function (success,fail,params){
        exec(success, fail,
		'TyRtc', 'login', params);
    };

    TyRtc.prototype.logout = function (success,fail,params){
        exec(success,fail,
        'TyRtc', 'logout', params);
    };

    // 发起视频
    TyRtc.prototype.video = function(success,fail,params){
        exec(success,fail,
            'TyRtc', 'video', params);
    };

    var ty = new TyRtc();
    module.exports = ty;


});
