cordova.define("com.kingyee.kymh.push.PushNotification", function(require, exports, module) {

	var cordova = require('cordova'),
    exec = require('cordova/exec');

var FGPushNotification = function() {
	this.registered = false;
	this.userid = null;
	this.appid = null;
	this.channelid = null;
};
FGPushNotification.prototype.init = function(api_key)
{
    exec(fastgoPushNotification.successFn, fastgoPushNotification.failureFn, 'FGPushNotification', 'init', [api_key]);
};

FGPushNotification.prototype.successFn = function(info)
{
	if(info){
		fastgoPushNotification.registered = true;
		fastgoPushNotification.userid = info.user_id;
		fastgoPushNotification.appid = info.appid;
		fastgoPushNotification.channelid = info.channel_id;
		cordova.fireDocumentEvent("cloudPushRegistered", info);
	}
};
FGPushNotification.prototype.message = function(pushmessage)
{
	if(pushmessage){
		cordova.fireDocumentEvent("onCloudPushMessage", pushmessage);
	}
};

FGPushNotification.prototype.failureFn = function(info)
{
	fastgoPushNotification.registered = false;
};

var fastgoPushNotification = new FGPushNotification();

module.exports = fastgoPushNotification;

});
